Microthemer warnings/notices [lite version notices – RESOLVED]

This topic contains 8 replies, has 2 voices, and was last updated by  Sebastian 5 years, 11 months ago.

Author Posts

MusicTECH

Notice: this information was written when Microthemer version 2 was current. On Dec 26th, 2014 version 3 was released with a completely new interface. Some of the information may be redundant, but as much of the functionality remains the same in version 3 we haven't deleted this post.

Just trying out the lite version before deciding if I want to buy this (leaning towards buying it soon). However, on my test xampp server with Blackbox Debug bar, I see these 3 warnings/notices on all public and admin pages:

Strict Redefining already defined constructor for class tvr_microthemer_admin on line 125 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Strict Redefining already defined constructor for class tvr_microthemer_frontend on line 3609 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice Undefined variable: append on line 3718 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php

As far as I can tell, everything is still working fine.


Sebastian

Hi there,

Thanks for reporting this. I’ve just released an update (2.5.8) that should remove the errors. Please let me know if any persist.

You can update Microthemer via your WordPress dashboard or you can download version 2.5.8 from the My Downloads page here: https://themeover.com/my-downloads/

Cheers,

Sebastian


MusicTECH

Thanks… opened my test site and it already notified me that there was an update available. Updated the plugin and still got one undefined notice having to do with preferences, but it went away when I went to the microthemer preferences page and re-saved the preferences. So, seems to be all good now!


MusicTECH

Sorry, guess I replied too soon. I only updated the plugin and saw that the errors on the Dashboard went away after I saved the preferences, however if I go to the main Microthemer plugin page in the dashboard, I now get 19 errors/notices:

Notice Uninitialized string offset: 0 on line 1591 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice Uninitialized string offset: 1 on line 1594 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice (10) Undefined index: selector_section on line 1821 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice (43) Undefined index: m_query on line 1843 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice (10) Undefined index: selector_section on line 1766 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice (10) Undefined index: selector_section on line 1772 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice (43) Undefined index: m_query on line 1787 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemertvr-microthemer.php
Notice (74) Undefined index: important on line 13 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (55) Undefined index: pos on line 27 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (73) Undefined index: bg_image on line 47 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (59) Undefined index: hide imp on line 86 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (19) Undefined index: bg_image on line 99 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (20) Undefined variable: mq_stem on line 111 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (19) Undefined index: bg_image on line 115 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (63) Undefined index: linebreak on line 207 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (53) Undefined index: type on line 95 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (42) Undefined index: picker on line 196 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice (53) Undefined variable: mq_stem on line 201 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php
Notice Undefined property: tvr_microthemer_admin::$first_bg_url on line 52 in file F:xampphtdocswp-fmcwp-contentpluginsmicrothemerincludesresolve-input-fields.inc.php


Sebastian

Hmm, looks like there’s a bit more to this issue than I initially realised. Or perhaps you’re actually running PHP4?

Were those errors not present with version 2.5.7 (i.e. they’ve only appeared after upgrading)?

Would you mind going to the Preferences page and copying and pasting the server information from the fixed menu on the right?

Many Thanks,

Sebastian


MusicTECH

If you still have the previous version you could send me, I’ll overwrite the new version and see how many error notices there were, but I don’t remember there being that many before.

This is just my Windows 7 machine at home running Xammp:

Operating System:
WINNT (32 Bit)
MySQL Version:
5.5.27
PHP Version:
5.4.7
PHP Safe Mode:
Off

MORE DETAILED SYSTEM INFO:

Theme Info
Theme Name ClassiPress
Theme Version 3.3.3
WordPress Info
Home URL http://localhost/wp-fmc
Site URL http://localhost/wp-fmc
Theme Path http://localhost/wp-fmc/wp-content/themes/classipress
WP Version 3.8.1
WP Memory Limit 40 MB
WP Max Upload Size 8 MB
WP Debug Mode No
Force SSL Admin No
Child Theme Yes
Server Info
Server Software Apache/2.4.3 (Win32) OpenSSL/1.0.1c PHP/5.4.7
PHP Version 5.4.7
MySQL Version 5.5.27
PHP Post Max Size 8 MB
PHP Max Input Vars 1000
PHP Time Limit 30
Upload Max Filesize 8 MB
Display Errors Yes
SUHOSIN Installed No
Image Support
GD Library Installed Yes
Image Upload Path http://localhost/wp-fmc/wp-content/uploads/2014/03
Other Checks
JSON Decode Yes
cURL Enabled Yes
fsockopen Enabled Yes
OpenSSL Enabled No
WP Remote Post wp_remote_post() test was successful.
Plugins
Installed Plugins

BlackBox 0.1.3, by Grzegorz Winiarski, URL: http://ditio.net/
Microthemer 2.5.8, by Themeover, URL: http://www.themeover.com/microthemer
Q and A FAQ and Knowledge Base for WordPress 1.0.6.2, by Raygun, URL: http://wordpress.org/extend/plugins/q-and-a/


Sebastian

Hey,

Thanks for posting the detailed debug info. And sorry for the site going down after you posted yesterday. My server was upgraded to PHP 5.4 and a wordpress plugin that wasn’t compatible with PHP 5.4 brought the site down for a while.

I’ll email you version 2.5.7 shortly so that we can determine if the errors were caused by the change to 2.5.8 and I’ll tweak my PHP error notice reporting in wamp to see if I can replicate your issues. If necessary I’ll also have a go at installing xampp alongside wamp (if that doesn’t prove too difficult).

Cheers,

Seb


MusicTECH

No worries… didn’t notice your site was down. I have replied to your private email, so we can continue that way. Yes, both my home Xammp server and my live linux server are still using PHP 5.4.x (slightly different sub-versions of 5.4 for each)


Sebastian

Thanks for your email. We can continue the discussion offline. I will post back here with the final conclusion.

Cheers,

Sebastian

You must login or register to reply to this topic.